tigase.net

## Enum SocketType

- java.lang.Object
- - java.lang.Enum<SocketType>
  - - tigase.net.SocketType

- All Implemented Interfaces:
    Serializable, Comparable<SocketType>

      public enum SocketType
      extends Enum<SocketType>

  Describe class SocketType here.
  Created: Sun Feb 5 09:27:34 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `plain`
    `ssl`
    `tls`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `names()`
    `static SocketType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SocketType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### plain

          public static final SocketType plain

    - #### ssl

          public static final SocketType ssl

    - #### tls

          public static final SocketType tls

  - ### Method Detail

    - #### values

          public static SocketType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SocketType c : SocketType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SocketType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### names

          public static String[] names()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.